@import "fonts"
@import "fontello"
@import "colors"

html
	width: 100%
	overflow-x: hidden
	font-size: 15px
	scroll-behavior: smooth


body
	//font-family: 'Jost', sans-serif
	font-family: 'Inter', sans-serif
	color: $text_color
	font-weight: 400

.opacity
	opacity: 0
.animated
	animation-duration: 1.5s
	animation-fill-mode: both


a, a:hover
	text-decoration: none
	transition: all 0.3s ease
a:focus
	outline: none
p
	margin-bottom: 0
.btn_bg
	display: block
	background-color: #fefefe
	color: $text_color
	border-radius: 4px
	font-size: 14px
	line-height: 1.43
	font-weight: 500
	transition: border 0.3s ease, background-color 0.3s ease
	padding: 15px
	text-align: center
	box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.1)
	border: solid 1px #d7dae4
	&:hover
		border: solid 1px #d2d7de
		background-color: #f8faff
		color: $text_color
	&:focus,
	&:active
		border: solid 1px #d2d7de
		background-color: #e7eaf1
		color: $text_color
		outline: none


h1, h2, h3, h4, h5, h6
	font-weight: 600

h1
	font-weight: 600
	font-size: 26px
	line-height: 1.2
h2
	font-weight: 600
	font-size: 20px
	line-height: 1.2
h3
	font-weight: 600
	font-size: 18px
	line-height: 20px



img
	max-width: 100%
	height: auto

// .container
// 	max-width: 1410px



/* ======= Header ======= */
.header
	background-color: $bg_header
	padding-top: 10px
	padding-bottom: 10px
	position: relative
	.header__logo_box
		height: 100%
		display: flex
		align-items: center
	.header__logo
		font-family: 'Jost', sans-serif
		font-weight: 700
		font-size: 16px
		line-height: 1.25
		color: #4f66a9
		text-transform: uppercase
	.header__logo_mobile
		display: none	
	.header__search
		position: relative
		input
			width: 100%
			font-weight: 400
			font-size: 14px
			line-height: 1.43
			color: $text_light_color
			border-radius: 4px
			border: solid 2px #d7dae4
			padding: 6px 10px
			padding-left: 42px
			margin-bottom: 0px

	.header__search_btn
		position: absolute
		top: 0
		left: 10px
		display: flex
		height: 100%
		align-items: center
		img
			width: 24px
			height: auto
	.header__comein_box
		height: 100%
		width: 100%
		display: flex
		align-items: center
		justify-content: flex-end
	.header__comein
		display: block
		text-align: right
		font-weight: 700
		font-size: 14px
		line-height: 1.43
		color: $text_color
		background-color: transparent
		border: none
		padding: 0px
		cursor: pointer
		transition: color 0.3s ease
		&:hover
			color: $active-color !important
		&:active,
		&:focus
			outline: none
			color: $active-color
	.header__mobile_searsh_box
		#collapseExample
			width: 400px
		.header__search
			width: 400px
			margin-top: 20px
			right: 0
		.header__mobile_searsh
			display: flex
			justify-content: flex-end
	.search-mob
		margin-top: 12px
.burger-mob
	padding-top: 10px
	padding-bottom: 30px
	ul
		list-style: none
		padding-left: 0
		li
			margin-bottom: 10px
		a
			font-weight: 500
			font-size: 16px
			line-height: 1.5
			color: $text_color
			transition: color 0.3s ease
			&:hover,
			&:active,
			&:focus
				color: $active-color
	.modal_footer_nav
		margin-top: 30px
		a
			font-weight: 500
			font-size: 14px
			line-height: 1.43
	.social
		justify-content: flex-start
		margin-top: 2px
		margin-bottom: 12px
	.social_link
		box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.1)
		border: solid 1px #d7dae4
		background-color: #fefefe
		margin-left: 0px
		margin-right: 8px
	.rights
		width: 90%
		font-size: 12px
		line-height: 1.33
		color: $text_light_color



/* ======= content ======= */
.main
	padding-top: 20px
	.main-nav

.nav
	display: block
.nav-item
	margin-bottom: 10px
.main-nav_link
	font-weight: 600
	font-size: 16px
	line-height: 1.56
	color: $text_color
	display: inline-block
	transition: color 0.2s ease
	padding: 5px 10px
	min-width: 170px
	border-radius: 4px 
	transition: color 0.3s ease, background-color 0.3s ease
	&:hover
		text-decoration: none
		color: #ffffff
		background-color: $active-color
	

.content
	background-image: url("../img/bg_main.jpg")
	background-repeat: no-repeat
	background-position: center top
	background-size: 100% auto
	position: relative
	.content_opacity
		position: absolute
		width: 100%
		height: 100%
		background-image:  linear-gradient(to bottom, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 500px, rgba(255,255,255,1) 100%)
	.infolabel__box_animate
		margin-top: 20px
		//background-color: red
	.infolabel__box
		background-color: #2187e3
		border-radius: 6px
		padding: 10px 20px
		display: flex
		justify-content: space-between
		align-items: center
		position: relative
	.infolabel__box_text
		font-size: 14px
		line-height: 1.43
		color: #ffffff
	.infolabel__box_close
		img
			width: 24px
			max-width: 24px
			height: auto
	

	.content__articles
	.articles__item
		border-radius: 10px
		box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.15)
		background-color: #ffffff
		margin-bottom: 10px
		transition: box-shadow 0.3s ease
		&:hover
			box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.18)
	.articles__item_text
		padding: 20px
		
	.articles__item_text_label
		display: flex
		align-items: center
		font-size: 12px
		line-height: 1.67
		margin-bottom: 10px
	.articles_label_category
		text-transform: uppercase
		margin-right: 15px
		color: $text_color
		&:hover,
		&:active,
		&:focus
			color: $text_color
	.articles_label_dayago
		color: #6b6f7b
		opacity: 0.8
	.article__box
		display: flex
		align-items: flex-start
		justify-content: space-between
	.articles__item_title
		font-weight: 600
		font-size: 20px
		line-height: 1.2
		margin-bottom: 8px
	.articles__item_content
		font-size: 14px
		line-height: 1.43
		margin-bottom: 25px
	.article__box_icon
		width: 34px
		flex-basis: 34px
		margin-left: 10px
		img
			width: 24px
			min-width: 24px
			height: auto

	.articles__item_img
		width: 100%
		max-height: 356px
		overflow: hidden
		img
			width: 100%
			max-width: 100%
			height: auto

	.articles__item_info
		width: 100%
		display: flex
		align-items: center
		justify-content: space-between
	.articles__item_info
		padding: 20px 15px
		img
			width: 24px
			max-width: 24px
			height: auto
			margin-left: 5px
		span
			font-size: 14px
			line-height: 1.43
			color: $text_light_color

	.sidebar__poll
		border-radius: 10px
		background-color: #4f66a9
		color: #f9f9f9
		padding: 20px
		margin-bottom: 45px
	.sidebar__poll_label
		font-size: 12px
		line-height: 1.67
		color: #f9f9f9
		text-transform: uppercase
		margin-bottom: 10px

	.sidebar__poll_slick
		.slick-prev
			position: absolute
			bottom: 0
			left: 0px
			z-index: -1
		.slick-next
			position: absolute
			right: 0
			bottom: 0
			z-index: -1
	.sidebar__poll_item
		

	.sidebar__poll_title
		font-weight: 700
		font-size: 16px
		line-height: 1.25
		margin-bottom: 10px
	.sidebar__poll_text
		font-size: 14px
		line-height: 1.43
		margin-bottom: 45px

	.sidebar__poll_nav
		display: flex
		align-items: center
		justify-content: center
		margin-top: 20px
		.arrow
			color: #ffffff
			&:hover,
			&:active,
			&:focus
				i
					opacity: 0.6
				
		i
			font-family: fontello
			font-size: 14px
			line-height: 1.43
			transition: opacity 0.3s ease
			
		.sidebar__poll_nav_text
			font-size: 14px
			line-height: 1.43
			color: #ffffff
			opacity: 0.8
			margin-left: 10px
			margin-right: 10px

	.sidebar__discussions
	.sidebar__discussions_title
		font-weight: 700
		font-size: 16px
		line-height: 1.25
		color: $text_color
		position: relative
		padding-left: 20px
		margin-bottom: 25px
		&::before
			content: ''
			position: absolute
			left: 0
			top: 5px
			width: 10px
			height: 10px
			border-radius: 100%
			background-color: #7ed321

	.sidebar__discussions_item
		display: block
		margin-bottom: 20px
	.discussions_item_user
		display: flex
		align-items: center
		margin-bottom: 5px
	.discussions_item_user_avatar
		border-radius: 100%
		overflow: hidden
		width: 30px
		max-width: 30px
		height: 30px
		max-height: 30px
		margin-right: 10px
		img
			width: 30px
			max-width: 30px
	.discussions_item_user_name
		font-weight: 700
		font-size: 14px
		line-height: 1.43
		color: $text_color
	.discussions_item_text
		font-size: 14px
		line-height: 20px
		color: $text_color
		margin-bottom: 5px
	.discussions_item_theme
		font-weight: 700
		font-size: 14px
		line-height: 1.43
		color: $text_color
	.discussions_item_user_data
		font-size: 12px
		line-height: 20px
		color: #6b6f7b
		margin-left: 8px
		margin-top: 2px




/* ======= modal ======= */
.modal_title
	font-weight: 700
	font-size: 20px
	line-height: 1.25
	color: $text_color
	margin-bottom: 30px
.btn_modal
	font-weight: 700
	background-color: #e7eaf1
	transition: color 0.3s ease, background-color 0.3s ease
	margin-bottom: 15px
	&:hover,
	&:active,
	&:focus
		background-color: $active-color
		color: #ffffff
.modal_form
	width: 400px
	padding: 35px 40px
	border-radius: 10px
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.15)
	background-color: #ffffff
	
form
	display: flex
	flex-direction: column
label
	width: 100%
	font-weight: 600
	font-size: 12px
	line-height: 1.33
	color: #4b4c50
	margin-bottom: 5px
input
	width: 100%
	font-size: 14px
	line-height: 1.43
	color: $text_color
	padding: 10px 15px
	margin-bottom: 20px
	border-radius: 4px
	border: 1px solid #d7dae4
	background-color: $bg_header
	transition: border 0.3s ease
	&:hover,
	&:active,
	&:focus
		outline: none
		border: 1px solid $active-color
.modal_input_pas
	margin-bottom: 10px
.modal_input_reestablish_box
	margin-bottom: 20px
.modal_input_reestablish
	font-size: 14px
	color: $active-color
	position: relative
	&::after
		position: absolute
		content: ''
		width: 100%
		height: 1px
		background-color: $active-color
		display: block
		transform: translateY(0px) scale(0)
		transition: transform 0.2s ease 
	&:hover
		&::after
	 		transform: translateY(0px) scale(1)		
.modal_input_label
	font-size: 14px
	line-height: 1.43
	color: $text_light_color
	margin-top: 25px
	margin-bottom: 16px
.modal_input_social
	display: flex
	align-items: center
	.modal_input_social_btn
		display: block
		border-radius: 4px
		background-color: #e7eaf1
		padding: 4px
		margin-right: 8px
		&:hover
			img
				transform: scale(1.1)
	img
		width: 32px
		max-width: 32px
		transition: transform 0.3s ease

.modal_registration_pas_box
	position: relative
.modal_registration_pas_eye
	position: absolute
	top: 10px
	right: 15px
	display: flex
	justify-content: center
	align-items: center
	img
		width: 24px
		max-width: 24px
		transition: transform 0.3s ease
	&:hover
		img
			transform: scale(1.1)
.modal_input_confid
	font-size: 12px
	line-height: 1.33
	color: $text_light_color
	margin-top: 5px
	text-align: center
		
	a
		color: $active-color
.modal_notification_nav
	display: flex
	align-items: center
	justify-content: space-between
	margin-bottom: 20px
.modal_notification_nav_quan
	display: block
	font-size: 12px
	line-height: 1.33
	color: $text_light_color
.modal_notification_nav_read
	font-weight: 500
	font-size: 12px
	line-height: 1.33
	color: #4f66a9
.modal_notification_item
	border-radius: 6px
	background-color: #2187e3
	padding: 12px 40px 12px 20px
	color: #ffffff
	position: relative
	margin-bottom: 10px
	p
		padding-right: 20px
.infolabel__box_close
	position: absolute
	top: 8px
	right: 8px
	.close_dark
		display: none
.notification_read
	background-color: #d3e8f9
	color: $text_color	
	.close_dark
		display: block
	.close_light
		display: none





		


/* ======= products ======= */

.news
	background-image: none
	.news__item_content
		background-color: transparent
		box-shadow: none
		padding-bottom: 60px
		border-bottom: 1px solid #e7eaf1
		margin-bottom: 22px
	.articles__item_text_label
		margin-bottom: 12px
	h1
		font-weight: 600
		font-size: 30px
		line-height: 1.2
		margin-bottom: 16px
	h2
		font-size: 24px
		line-height: 1.33
		margin-bottom: 20px
	h3
		font-size: 20px
		line-height: 1.2
		margin-bottom: 20px
	p
		font-size: 18px
		line-height: 1.33
		color: #474952
		margin-bottom: 40px
	.news__item_img
		width: 100%
		margin-bottom: 20px
		img
			width: 100%
			max-width: 100%
			height: auto
			margin-bottom: 12px
		p
			font-size: 14px
			line-height: 1.44
			color: #8a8f9e
			margin-bottom: 0px
	.quote
		padding: 32px 28px
		background-color: #f2f5ff
		border-left: 8px solid #cdd5ed
	
	ul
		padding-left: 30px
		margin-bottom: 40px
		li
			margin-bottom: 10px
	.news__item_coment
		padding-bottom: 60px
		h4
			font-weight: 700
			font-size: 16px
			line-height: 1.5
			margin-bottom: 20px
	.news__item_coments_box
		margin-bottom: 40px
	.discussions_item
		margin-bottom: 24px
	.news__item_coment_user
		form
			flex-direction: row
			flex-wrap: wrap
			align-items: center
			margin-bottom: 40px
		.news__item_coment_user_avatar_box
			width: 10%
			flex-basis: 10%
		.news__item_coment_user_avatar
			width: 32px
			height: 32px
			border-radius: 100%
			background-color: #cdd5ed
			display: flex
			justify-content: center
			align-items: center

			span
				display: block
				max-width: 26px
				font-size: 16px
				line-height: 16px
				font-weight: 500
				color: #4f66a9

		input
			width: 90%
			flex-basis: 90%
			margin-bottom: 0
		.btn_box
			width: 100%
			flex-basis: 100%
			display: flex
			justify-content: flex-end
			margin-top: 12px
		button
			width: auto
			background-color: $active-color
			color: #ffffff
			padding: 15px
			transition: background-color 0.3s ease
			&:hover
				background-color: #768ac4
			&:active
				background-color: #3551a9

.more-news
	background-color: #f2f5ff
	padding-top: 60px
	padding-bottom: 60px
	h5
		font-weight: 700
		font-size: 16px
		line-height: 1.5
		margin-bottom: 20px
	.more-news_item
		display: block
		color: $text_color
		&:hover,
		&:active,
		&:focus
			color: $text_color
			img
				transform: scale(1.07)
	.more-news_item_img
		border-radius: 10px
		width: 100%
		height: 230px
		max-height: 230px
		overflow: hidden
		margin-bottom: 12px
		img
			width: 100%
			max-width: 100%
			height: 100%
			object-fit: cover
			transition: transform 0.3s ease
	.more-news_item_title
		font-weight: 700
		font-size: 20px
		line-height: 1.2
		margin-bottom: 12px

	.more-news_item_info
		display: flex
		align-items: center
		span
			display: block
			font-size: 14px
			line-height: 1.43
			color: #6b6f7b
		.deco
			margin-left: 5px
			margin-right: 5px
		.views
			margin-right: 5px





/* ======= breadcrumbs ======= */




/* ======= product-card ======= */




/* ======= catalog ======= */





/* ======= product-info ======= */





/* ======= Advantages ======= */




/* ====== Footer ====== */
.footer
	padding-top: 20px
	padding-bottom: 20px
	box-shadow: inset 0 1px 0 0 #d7dae4
	background-color: #fafafa
	.footer__nav
		ul
			list-style: none
			padding-left: 0
			display: flex
			align-items: center
		li
			margin-right: 30px
	.footer__nav_item
		font-weight: 500
		font-size: 14px
		line-height: 1.43
		color: $text_color
		transition: color 0.3s ease
		&:hover,
		&:active,
		&:focus
			color: $active-color

.rights
	font-size: 12px
	line-height: 1.3
	color: $text_light_color

.social
	display: flex
	align-items: center
	justify-content: flex-end
.social_link
	padding: 4px
	border-radius: 4px
	box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.1)
	border: solid 1px #d7dae4
	background-color: #fefefe
	margin-left: 8px
	img
		width: 32px
		max-width: 32px
	&:hover
		img
			transform: scale(1.1)



	



/* ======= Animation ======= */

@keyframes fadeOpacity
	from 
		opacity: 0
	to
		opacity: 1
	

.fadeOpacity
	animation-name: fadeOpacity


@keyframes fadeLeft
	0%
		opacity: 0
		transform: translateX(-10%)
	100%
		opacity: 1
		transform: translateX(0)
	

.fadeLeft
	animation-name: fadeLeft

@keyframes fadeRight
	0%
		opacity: 0
		transform: translateX(10%)
	100%
		opacity: 1
		transform: translateX(0%)
	

.fadeRight
	animation-name: fadeRight




@import "media"